This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 184276 - cannot mount /home LV during firstboot with 3/7/06 rawhide and selinux enforcing
cannot mount /home LV during firstboot with 3/7/06 rawhide and selinux enforcing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-03-07 14:34 EST by Clyde E. Kunkel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 23:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2006-03-07 14:34:35 EST
Description of problem:

(Note:  not sure if anaconda, firstboot or selinux)

On firstboot after network install of rawhide from download.fedora.redhat.com on
3/7/06, received errors as follows--
(hand copied, only pertinent)
setting up Logical Volume Management: /dev/VolGroup1/FedoraHomes mkdir failed
permission denied
    /dev/VolGroup1/FedoraHomes mkdir failed permission denied
    (msg repeated 9 more times)
11 logical volumes in volume group "VolGroup1" now added
10 logical volumes in volume group "VolGroup0" now added
fsck.ext3: No such file or directory while tryping to open
/dev/VolGroup1/FedoraHomes.  
/dev/VolGroup1/FedoraHomes
  The superblock could not be read or does not descirbe a correct ext2 filesystem.
*** An error occured during the filesystem check
*** Dropping you to a shell: the system will reboot
*** when you leave the shell.
*** Warning -- SELinux is active
*** Disabling security enforcement for system recovery
*** Run "setenforce 1" to enable
give root password for maintenance
(or type Control-D to continue)


Version-Release number of selected component (if applicable):
Network install of rawhide on 3/7/06


How reproducible:
Every time.  Tried two mirrors.

Steps to Reproduce:
1. Create boot.iso cd from working system
2. Boot CD and select HTTP install
3. Select custom partitioning and select /dev/hda17 as /boot, format ext3;
select /VolGroup0/Rawhide as /, format ext3; select /VolGroup1/FedoraHomes as
/home, NOFORMAT
4. Select packages, custom and added KDE Destop
5. Install
6. boot new system firstboot
  
Actual results:
can't mount /dev/VolGroup1/FedoraHomes

Expected results:
normal first boot and continue on thereafter

Additional info:

When dropped to a shell, mounted /dev/hda17 on /boot and modified kernel parms
in grub.conf by adding selinux=0.  Firstboot then proceeded normally and rest of
install proceeded normally.  Disabled selinux when prompted.
Comment 1 Jeremy Katz 2006-03-07 17:20:17 EST
Had you previously been running SELinux?  This works fine for me when not using
a pre-existing /home at least, so that's the only thing I can see maybe being
different.
Comment 2 Clyde E. Kunkel 2006-03-07 21:06:34 EST
I had NOT been running selinux.  Yes, /home was a pre-existing LV and had been
used routinely and never with selinux on.
Comment 3 Thomas J. Baker 2006-03-08 09:20:53 EST
I have similiar problems after updating yesterday. Things were working fine on
Friday and on Monday the problems started. At boot, udev can make /dev/vg{0,1} 
fine but can't create /dev/vg{2,3,4}:

Mar  7 09:10:22 zero kernel: audit(1141740346.618:2): avc:  denied  { create }
for  pid=2118 comm="lvm.static" namella.="vg3"
scontext=system_u:system_r:lvm_t:s0 tcontext=system_u:object_r:device_t:s0
tclass=dir
Mar  7 09:10:22 zero kernel: audit(1141740346.642:3): avc:  denied  { create }
for  pid=2118 comm="lvm.static" name="vg2" scontext=system_u:system_r:lvm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=dir
Mar  7 09:10:22 zero kernel: audit(1141740346.682:4): avc:  denied  { create }
for  pid=2118 comm="lvm.static" name="vg4" scontext=system_u:system_r:lvm_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=dir

I had been running selinux all along and yum update to rawhide daily. New policy
and new udev came on Monday. Relabeling didn't help.
Comment 4 Clyde E. Kunkel 2006-03-08 10:52:12 EST
Original problem still present in rawhide of 3/8/06.
Comment 5 Daniel Walsh 2006-03-08 10:57:21 EST
Fixed in selinux-policy-2.2.23-7
Comment 6 Clyde E. Kunkel 2006-03-09 08:01:53 EST
I can confirm fixed with rawhide of 3/9/06.  Nice looking install.  Very smooth
on LVs over software raid5 PVs.

Note You need to log in before you can comment on or make changes to this bug.